xclade
Admin APISales channels

Update a Sales Channel

Update a sales channel's details.

POST
/admin/sales-channels/{id}
AuthorizationBearer <token>

In: header

Path Parameters

id*string

The sales channel's ID.

Query Parameters

fields?string

Comma-separated fields that should be included in the returned data. if a field is prefixed with + it will be added to the default fields, using - will remove it from the default fields. without prefix it will replace the entire default fields.

Request Body

application/json

name?string

The sales channel's name.

description?string

The sales channel's description.

is_disabled?boolean

Whether the sales channel is disabled.

metadata?object

The sales channel's metadata, can hold custom key-value pairs.

Response Body

application/json

application/json

text/plain

application/json

application/json

application/json

application/json

curl -X POST "https://{tenant}.api.myxclade.com/admin/sales-channels/string" \  -H "Content-Type: application/json" \  -d '{}'
{
  "sales_channel": {
    "id": "string",
    "name": "string",
    "description": "string",
    "is_disabled": true,
    "metadata": {},
    "created_at": "2019-08-24T14:15:22Z",
    "updated_at": "2019-08-24T14:15:22Z",
    "deleted_at": "2019-08-24T14:15:22Z"
  }
}

{
  "message": "Discount must be set to dynamic",
  "type": "not_allowed"
}

"Unauthorized"
{
  "message": "Entity with id 1 was not found",
  "type": "not_found"
}
{
  "code": "unknown_error",
  "message": "The request conflicted with another request. You may retry the request with the provided Idempotency-Key.",
  "type": "QueryRunnerAlreadyReleasedError"
}
{
  "code": "invalid_request_error",
  "message": "Discount with code TEST already exists.",
  "type": "duplicate_error"
}

{
  "code": "api_error",
  "message": "An error occured while hashing password",
  "type": "database_error"
}